/*
This file is part of Telegram Desktop,
the official desktop application for the Telegram messaging service.

For license and copyright information please follow this link:
https://github.com/telegramdesktop/tdesktop/blob/master/LEGAL
*/
using "ui/basic.style";
using "dialogs/dialogs.style";
using "ui/widgets/widgets.style";

minPhotoSize: 100px;
minVideoSize: 160px;
maxMediaSize: 430px;
maxStickerSize: 228px;
maxGifSize: 320px;
maxVideoMessageSize: 240px;
maxSignatureSize: 144px;
maxWallPaperWidth: 160px;
maxWallPaperHeight: 240px;
historyThemeSize: size(272px, 176px);

historyMinimalWidth: 380px;

historyScroll: ScrollArea(defaultScrollArea) {
	bg: historyScrollBg;
	bgOver: historyScrollBgOver;
	barBg: historyScrollBarBg;
	barBgOver: historyScrollBarBgOver;

	round: 3px;

	width: 12px;
	deltax: 3px;
	deltat: 3px;
	deltab: 3px;

	topsh: 0px;
	bottomsh: -1px;
}

historyResizeWidth: 6px;

historyPaddingBottom: 8px;

historyToDownPosition: point(12px, 10px);
historyToDownAbove: icon {{ "history_down_arrow", historyToDownFg, point(17px, 23px) }};
historyToDownAboveOver: icon {{ "history_down_arrow", historyToDownFgOver, point(17px, 23px) }};
historyToDownPaddingTop: 10px;
historyToDownBelow: icon {
	{ "history_down_shadow", historyToDownShadow },
	{ "history_down_circle", historyToDownBg, point(4px, 4px) },
};
historyToDownBelowOver: icon {
	{ "history_down_shadow", historyToDownShadow },
	{ "history_down_circle", historyToDownBgOver, point(4px, 4px) },
};
historyToDown: TwoIconButton {
	width: 52px;
	height: 62px;

	iconBelow: historyToDownBelow;
	iconBelowOver: historyToDownBelowOver;
	iconAbove: historyToDownAbove;
	iconAboveOver: historyToDownAboveOver;
	iconPosition: point(0px, historyToDownPaddingTop);

	rippleAreaPosition: point(5px, 15px);
	rippleAreaSize: 42px;
	ripple: RippleAnimation(defaultRippleAnimation) {
		color: historyToDownBgRipple;
	}
}
historyToDownBadgeFont: semiboldFont;
historyToDownBadgeSize: 22px;

historyToDownShownAfter: 480px;
historyToDownDuration: 150;

dialogsToUpAbove: icon {{ "history_down_arrow-flip_vertical", historyToDownFg, point(17px, 20px) }};
dialogsToUpAboveOver: icon {{ "history_down_arrow-flip_vertical", historyToDownFgOver, point(17px, 20px) }};

dialogsToUp: TwoIconButton(historyToDown) {
	iconAbove: dialogsToUpAbove;
	iconAboveOver: dialogsToUpAboveOver;
}

historyUnreadMentions: TwoIconButton(historyToDown) {
	iconAbove: icon {{ "history_unread_mention", historyToDownFg, point(16px, 16px) }};
	iconAboveOver: icon {{ "history_unread_mention", historyToDownFgOver, point(16px, 16px) }};
}
historyUnreadMentionsSkip: 4px;

membersInnerWidth: 310px;
membersInnerHeightMax: 360px;
membersInnerDropdown: InnerDropdown(defaultInnerDropdown) {
	scroll: ScrollArea(defaultSolidScroll) {
		deltat: 0px;
		deltab: 0px;
		round: 1px;
		width: 8px;
		deltax: 3px;
	}
	scrollMargin: margins(0px, 5px, 0px, 5px);
	scrollPadding: margins(0px, 3px, 0px, 3px);
}
membersInnerItem: defaultPeerListItem;

historyFileOutImage: icon {{ "history_file_image", historyFileOutIconFg }};
historyFileOutImageSelected: icon {{ "history_file_image", historyFileOutIconFgSelected }};
historyFileInImage: icon {{ "history_file_image", historyFileInIconFg }};
historyFileInImageSelected: icon {{ "history_file_image", historyFileInIconFgSelected }};
historyFileOutDocument: icon {{ "history_file_document", historyFileOutIconFg }};
historyFileOutDocumentSelected: icon {{ "history_file_document", historyFileOutIconFgSelected }};
historyFileInDocument: icon {{ "history_file_document", historyFileInIconFg }};
historyFileInDocumentSelected: icon {{ "history_file_document", historyFileInIconFgSelected }};
historyFileOutDownload: icon {{ "history_file_download", historyFileOutIconFg }};
historyFileOutDownloadSelected: icon {{ "history_file_download", historyFileOutIconFgSelected }};
historyFileInDownload: icon {{ "history_file_download", historyFileInIconFg }};
historyFileInDownloadSelected: icon {{ "history_file_download", historyFileInIconFgSelected }};
historyFileOutCancel: icon {{ "history_file_cancel", historyFileOutIconFg }};
historyFileOutCancelSelected: icon {{ "history_file_cancel", historyFileOutIconFgSelected }};
historyFileInCancel: icon {{ "history_file_cancel", historyFileInIconFg }};
historyFileInCancelSelected: icon {{ "history_file_cancel", historyFileInIconFgSelected }};
historyFileOutPause: icon {{ "history_file_pause", historyFileOutIconFg }};
historyFileOutPauseSelected: icon {{ "history_file_pause", historyFileOutIconFgSelected }};
historyFileInPause: icon {{ "history_file_pause", historyFileInIconFg }};
historyFileInPauseSelected: icon {{ "history_file_pause", historyFileInIconFgSelected }};
historyFileOutPlay: icon {{ "history_file_play", historyFileOutIconFg }};
historyFileOutPlaySelected: icon {{ "history_file_play", historyFileOutIconFgSelected }};
historyFileInPlay: icon {{ "history_file_play", historyFileInIconFg }};
historyFileInPlaySelected: icon {{ "history_file_play", historyFileInIconFgSelected }};

historyFileThumbDownload: icon {{ "history_file_download", historyFileThumbIconFg }};
historyFileThumbDownloadSelected: icon {{ "history_file_download", historyFileThumbIconFgSelected }};
historyFileThumbCancel: icon {{ "history_file_cancel", historyFileThumbIconFg }};
historyFileThumbCancelSelected: icon {{ "history_file_cancel", historyFileThumbIconFgSelected }};
historyFileThumbPlay: icon {{ "history_file_play", historyFileThumbIconFg }};
historyFileThumbPlaySelected: icon {{ "history_file_play", historyFileThumbIconFgSelected }};
historyFileThumbWaiting: icon {{ "mediaview_save_check", historyFileThumbIconFg }};
historyFileThumbWaitingSelected: icon {{ "mediaview_save_check", historyFileThumbIconFgSelected }};

historySendStateSpace: 24px;
historySendStatePosition: point(-17px, -19px);
historySentIcon: icon {{ "history_sent", historyOutIconFg, point(2px, 4px) }};
historySentSelectedIcon: icon {{ "history_sent", historyOutIconFgSelected, point(2px, 4px) }};
historySentInvertedIcon: icon {{ "history_sent", historyIconFgInverted, point(2px, 4px) }};
historyReceivedIcon: icon {{ "history_received", historyOutIconFg, point(2px, 4px) }};
historyReceivedSelectedIcon: icon {{ "history_received", historyOutIconFgSelected, point(2px, 4px) }};
historyReceivedInvertedIcon: icon {{ "history_received", historyIconFgInverted, point(2px, 4px) }};

historyScheduledUntilOnlineStateSpace: 17px;

historyViewsSpace: 11px;
historyViewsWidth: 20px;
historyViewsTop: -15px;
historyViewsInIcon: icon {{ "history_views", msgInDateFg }};
historyViewsInSelectedIcon: icon {{ "history_views", msgInDateFgSelected }};
historyViewsOutIcon: icon {{ "history_views", historyOutIconFg }};
historyViewsOutSelectedIcon: icon {{ "history_views", historyOutIconFgSelected }};
historyViewsInvertedIcon: icon {{ "history_views", historySendingInvertedIconFg }};

historyComposeField: InputField(defaultInputField) {
	font: msgFont;
	textMargins: margins(0px, 0px, 0px, 0px);
	textAlign: align(left);
	textFg: historyComposeAreaFg;
	textBg: historyComposeAreaBg;
	heightMin: 36px;
	heightMax: 72px;
	placeholderFg: placeholderFg;
	placeholderFgActive: placeholderFgActive;
	placeholderFgError: placeholderFgActive;
	placeholderMargins: margins(7px, 5px, 7px, 5px);
	placeholderAlign: align(topleft);
	placeholderScale: 0.;
	placeholderFont: normalFont;
	placeholderShift: -50px;
	border: 0px;
	borderActive: 0px;
	duration: 100;
}
historyComposeFieldMaxHeight: 224px;
// historyMinHeight: 56px;

historySendPadding: 9px;
historySendRight: 2px;

historyComposeButton: FlatButton {
	color: windowActiveTextFg;
	overColor: windowActiveTextFg;

	bgColor: historyComposeButtonBg;
	overBgColor: historyComposeButtonBgOver;

	width: -32px;
	height: 46px;

	textTop: 14px;

	font: semiboldFont;
	overFont: semiboldFont;

	ripple: RippleAnimation(defaultRippleAnimation) {
		color: historyComposeButtonBgRipple;
	}
}
historyComposeButtonLabel: FlatLabel(defaultFlatLabel) {
	textFg: windowActiveTextFg;
	style: semiboldTextStyle;
}
historyUnblock: FlatButton(historyComposeButton) {
	color: attentionButtonFg;
	overColor: attentionButtonFgOver;
}
historyContactStatusButton: FlatButton(historyComposeButton) {
	height: 49px;
	textTop: 16px;
	overBgColor: historyComposeButtonBg;
	ripple: RippleAnimation(defaultRippleAnimation) {
		color: historyComposeButtonBgOver;
	}
}
historyContactStatusBlock: FlatButton(historyContactStatusButton) {
	color: attentionButtonFg;
	overColor: attentionButtonFg;
}
historyContactStatusMinSkip: 16px;

historySendIcon: icon {{ "send_control_send", historySendIconFg }};
historySendIconOver: icon {{ "send_control_send", historySendIconFgOver }};
historySendIconPosition: point(11px, 11px);
historySendSize: size(46px, 46px);
historyScheduleIcon: icon {{ "send_control_schedule", historyComposeAreaBg }};
historyScheduleIconPosition: point(8px, 8px);
historyEditSaveIcon: icon {{ "send_control_save", historySendIconFg, point(3px, 7px) }};
historyEditSaveIconOver: icon {{ "send_control_save", historySendIconFgOver, point(3px, 7px) }};

historyAttach: IconButton {
	width: 46px;
	height: 46px;

	icon: icon {{ "send_control_attach", historyComposeIconFg }};
	iconOver: icon {{ "send_control_attach", historyComposeIconFgOver }};
	iconPosition: point(11px, 11px);

	rippleAreaPosition: point(3px, 3px);
	rippleAreaSize: 40px;
	ripple: RippleAnimation(defaultRippleAnimation) {
		color: windowBgOver;
	}
}

historyAttachEmoji: IconButton(historyAttach) {
	icon: icon {{ "send_control_emoji", historyComposeIconFg }};
	iconOver: icon {{ "send_control_emoji", historyComposeIconFgOver }};
	iconPosition: point(-1px, -1px);
}
historyAttachEmojiFgActive: windowActiveTextFg;
historyAttachEmojiActive: icon {{ "send_control_emoji", historyAttachEmojiFgActive }};
historyAttachEmojiTooltipDelta: 4px;
historyEmojiCircle: size(20px, 20px);
historyEmojiCirclePeriod: 1500;
historyEmojiCircleDuration: 500;
historyEmojiCircleTop: 13px;
historyEmojiCircleLine: 2px;
historyEmojiCircleFg: historyComposeIconFg;
historyEmojiCircleFgOver: historyComposeIconFgOver;
historyEmojiCirclePart: 3.5;
historyBotKeyboardShow: IconButton(historyAttach) {
	icon: icon {{ "send_control_bot_keyboard", historyComposeIconFg }};
	iconOver: icon {{ "send_control_bot_keyboard", historyComposeIconFgOver }};
}
historyBotKeyboardHide: IconButton(historyAttach) {
	icon: icon {{ "send_control_bot_keyboard_hide", historyComposeIconFg }};
	iconOver: icon {{ "send_control_bot_keyboard_hide", historyComposeIconFgOver }};
	iconPosition: point(11px, 16px);
}
historyBotCommandStart: IconButton(historyAttach) {
	icon: icon {{ "send_control_bot_command", historyComposeIconFg }};
	iconOver: icon {{ "send_control_bot_command", historyComposeIconFgOver }};
}
historyScheduledToggle: IconButton(historyAttach) {
	icon: icon {
		{ "send_control_scheduled", historyComposeIconFg },
		{ "send_control_scheduled_dot", attentionButtonFg }
	};
	iconOver: icon {
		{ "send_control_scheduled", historyComposeIconFgOver },
		{ "send_control_scheduled_dot", attentionButtonFg }
	};
	iconPosition: point(-1px, -1px);
}
historyRecordVoiceFg: historyComposeIconFg;
historyRecordVoiceFgOver: historyComposeIconFgOver;
historyRecordVoiceFgActive: windowBgActive;
historyRecordVoiceDuration: 120;
historyRecordVoice: icon {{ "send_control_record", historyRecordVoiceFg }};
historyRecordVoiceOver: icon {{ "send_control_record", historyRecordVoiceFgOver }};
historyRecordVoiceActive: icon {{ "send_control_record", historyRecordVoiceFgActive }};
historyRecordVoiceRippleBgActive: lightButtonBgOver;
historyRecordSignalColor: attentionButtonFg;
historyRecordSignalMin: 5px;
historyRecordSignalMax: 12px;
historyRecordCancel: windowSubTextFg;
historyRecordCancelActive: windowActiveTextFg;
historyRecordFont: font(13px);
historyRecordDurationFg: historyComposeAreaFg;
historyRecordTextTop: 14px;

historySilentToggle: IconButton(historyBotKeyboardShow) {
	icon: icon {{ "send_control_silent_off", historyComposeIconFg }};
	iconOver: icon {{ "send_control_silent_off", historyComposeIconFgOver }};
}
historySilentToggleOn: icon {{ "send_control_silent_on", historyComposeIconFg }};
historySilentToggleOnOver: icon {{ "send_control_silent_on", historyComposeIconFgOver }};

historyReplySkip: 51px;
historyReplyNameFg: windowActiveTextFg;
historyReplyHeight: 49px;
historyReplyTop: 8px;
historyReplyBottom: 6px;
historyReplyIconPosition: point(13px, 13px);
historyReplyIcon: icon {{ "history_action_reply", historyReplyIconFg }};
historyForwardIcon: icon {{ "history_action_forward", historyReplyIconFg }};
historyEditIcon: icon {{ "history_action_edit", historyReplyIconFg }};
historyReplyCancel: IconButton {
	width: 49px;
	height: 49px;

	icon: historyReplyCancelIcon;
	iconOver: historyReplyCancelIconOver;
	iconPosition: point(-1px, -1px);

	rippleAreaPosition: point(4px, 4px);
	rippleAreaSize: 40px;
	ripple: RippleAnimation(defaultRippleAnimation) {
		color: windowBgOver;
	}
}

msgBotKbDuration: 200;
msgBotKbFont: semiboldFont;
msgBotKbIconPadding: 2px;
msgBotKbUrlIcon: icon {{ "inline_button_url", msgBotKbIconFg }};
msgBotKbSwitchPmIcon: icon {{ "inline_button_switch", msgBotKbIconFg }};
msgBotKbButton: BotKeyboardButton {
	margin: 5px;
	padding: 10px;
	height: 36px;
	textTop: 8px;
	ripple: RippleAnimation(defaultRippleAnimation) {
		color: msgBotKbRippleBg;
	}
}

botKbDuration: 200;
botKbStyle: TextStyle(defaultTextStyle) {
	font: font(15px semibold);
	linkFont: font(15px semibold);
	linkFontOver: font(15px semibold);
}
botKbButton: BotKeyboardButton {
	margin: 10px;
	padding: 10px;
	height: 38px;
	textTop: 9px;
	ripple: RippleAnimation(defaultRippleAnimation) {
		color: botKbDownBg;
	}
}
botKbTinyButton: BotKeyboardButton {
	margin: 4px;
	padding: 3px;
	height: 25px;
	textTop: 2px;
	ripple: defaultRippleAnimation;
}
botKbScroll: defaultSolidScroll;

historyDateFadeDuration: 200;
historyDiceToast: Toast(defaultToast) {
	minWidth: msgMinWidth;
	maxWidth: 640px;
	durationFadeOut: 200;
}
historyErrorToast: Toast(defaultToast) {
	minWidth: msgMinWidth;
}
historyInfoToast: Toast(defaultToast) {
	minWidth: msgMinWidth;
	maxWidth: 380px;
	padding: margins(54px, 13px, 19px, 12px);
	icon: icon {{ "toast_info", toastFg }};
	iconPosition: point(13px, 13px);
}

historyPhotoLeft: 14px;
historyPhotoBubbleMinWidth: 200px;
historyMessageRadius: roundRadiusLarge;
historyBubbleTailInLeft: icon {{ "bubble_tail", msgInBg }};
historyBubbleTailInLeftSelected: icon {{ "bubble_tail", msgInBgSelected }};
historyBubbleTailOutLeft: icon {{ "bubble_tail", msgOutBg }};
historyBubbleTailOutLeftSelected: icon {{ "bubble_tail", msgOutBgSelected }};
historyBubbleTailInRight: icon {{ "bubble_tail-flip_horizontal", msgInBg }};
historyBubbleTailInRightSelected: icon {{ "bubble_tail-flip_horizontal", msgInBgSelected }};
historyBubbleTailOutRight: icon {{ "bubble_tail-flip_horizontal", msgOutBg }};
historyBubbleTailOutRightSelected: icon {{ "bubble_tail-flip_horizontal", msgOutBgSelected }};

historyPeerUserpicFont: semiboldFont;

historyPsaIconIn: icon {{ "message_psa_tooltip", msgFileThumbLinkInFg }};
historyPsaIconInSelected: icon {{ "message_psa_tooltip", msgFileThumbLinkInFgSelected }};
historyPsaIconOut: icon {{ "message_psa_tooltip", msgFileThumbLinkOutFg }};
historyPsaIconOutSelected: icon {{ "message_psa_tooltip", msgFileThumbLinkOutFgSelected }};
historyPsaIconSkip1: 23px;
historyPsaIconSkip2: 23px;
historyPsaIconPosition1: point(-5px, 0px);
historyPsaIconPosition2: point(-5px, 0px);

historyStatusFg: windowSubTextFg;
historyStatusFgActive: windowActiveTextFg;
historyStatusFgTyping: historyStatusFgActive;

historyUnreadBarHeight: 32px;
historyUnreadBarMargin: 8px;
historyUnreadBarFont: semiboldFont;

historyForwardChooseMargins: margins(30px, 10px, 30px, 10px);
historyForwardChooseFont: font(16px);

historyCallArrowIn: icon {{ "call_arrow_in", historyCallArrowInFg }};
historyCallArrowInSelected: icon {{ "call_arrow_in", historyCallArrowInFgSelected }};
historyCallArrowMissedIn: icon {{ "call_arrow_in", historyCallArrowMissedInFg }};
historyCallArrowMissedInSelected: icon {{ "call_arrow_in", historyCallArrowMissedInFgSelected }};
historyCallArrowOut: icon {{ "call_arrow_out", historyCallArrowOutFg }};
historyCallArrowOutSelected: icon {{ "call_arrow_out", historyCallArrowOutFgSelected }};
historyCallWidth: 240px;
historyCallHeight: 56px;
historyCallInIcon: icon {{ "menu_calls", msgFileInBg }};
historyCallInIconSelected: icon {{ "menu_calls", msgFileInBgSelected }};
historyCallOutIcon: icon {{ "menu_calls", msgFileOutBg }};
historyCallOutIconSelected: icon {{ "menu_calls", msgFileOutBgSelected }};
historyCallIconPosition: point(17px, 18px);
historyCallLeft: 16px;
historyCallTop: 9px;
historyCallStatusTop: 29px;
historyCallStatusSkip: 4px;
historyCallArrowPosition: point(-1px, 1px);

msgFileMenuSize: size(36px, 36px);
msgFileSize: 44px;
msgFilePadding: margins(14px, 12px, 11px, 12px);
msgFileThumbSize: 72px;
msgFileThumbPadding: margins(10px, 10px, 14px, 10px);
msgFileThumbNameTop: 12px;
msgFileThumbStatusTop: 32px;
msgFileThumbLinkTop: 60px;
msgFileNameTop: 16px;
msgFileStatusTop: 37px;
msgFileMinWidth: 268px;
msgFileTopMinus: 6px;

msgFileOverDuration: 200;
msgFileRadialLine: 3px;

msgVideoSize: size(320px, 240px);

msgWaveformBar: 2px;
msgWaveformSkip: 1px;
msgWaveformMin: 2px;
msgWaveformMax: 20px;

historyVideoMessageMute: icon {{ "volume_mute", historyFileThumbIconFg }};
historyVideoMessageMuteSelected: icon {{ "volume_mute", historyFileThumbIconFgSelected }};
historyVideoMessageMuteSize: 25px;
historyVideoMessageProgressOpacity: 0.72;

historyAdminLogEmptyWidth: 260px;
historyAdminLogEmptyPadding: margins(10px, 12px, 10px, 12px);
historyAdminLogSearchField: FlatInput(defaultFlatInput) {
	textColor: windowFg;
	bgColor: topBarBg;
	bgActive: topBarBg;

	font: font(fsize);

	borderWidth: 0px;
	borderColor: topBarBg;
	borderActive: topBarBg;

	width: 100px;
	height: 32px;
	textMrg: margins(0px, 0px, 0px, 0px);
}
historyAdminLogCancelSearch: CrossButton {
	width: 40px;
	height: 54px;

	cross: CrossAnimation {
		size: 32px;
		skip: 10px;
		stroke: 2px;
		minScale: 0.3;
	}
	crossFg: menuIconFg;
	crossFgOver: menuIconFgOver;
	crossPosition: point(6px, 11px);

	duration: 150;
	loadingPeriod: 1000;
	ripple: RippleAnimation(defaultRippleAnimation) {
		color: windowBgOver;
	}
}
historyAdminLogSearchTop: 11px;
historyAdminLogSearchSlideDuration: 150;

historyFastShareSize: 31px;
historyFastShareLeft: 13px;
historyFastShareBottom: 5px;
historyFastShareIcon: icon {{ "fast_share", msgServiceFg, point(4px, 3px)}};
historyGoToOriginalIcon: icon {{ "title_back-flip_horizontal", msgServiceFg, point(8px, 7px) }};

historySavedFont: font(semibold 14px);

historyGroupWidthMax: maxMediaSize;
historyGroupWidthMin: minPhotoSize;
historyGroupSkip: 4px;
historyGroupRadialSize: 44px;
historyGroupRadialLine: 3px;

historyMapPoint: icon {{ "map_point", mapPointDrop }};
historyMapPointInner: icon {{ "map_point_inner", mapPointDot }};

historyPsaForwardPalette: TextPalette(defaultTextPalette) {
	linkFg: boxTextFgGood;
}

webPageLeft: 10px;
webPageBar: 2px;
webPageTitleFont: semiboldFont;
webPageTitleStyle: semiboldTextStyle;
webPageTitleOutFg: historyTextOutFg;
webPageTitleInFg: historyTextInFg;
webPageDescriptionOutFg: historyTextOutFg;
webPageDescriptionInFg: historyTextInFg;
webPageDescriptionFont: normalFont;
webPageDescriptionStyle: defaultTextStyle;
webPagePhotoSize: 100px;
webPagePhotoDelta: 8px;

historyPollQuestionFont: semiboldFont;
historyPollQuestionStyle: TextStyle(defaultTextStyle) {
	font: historyPollQuestionFont;
	linkFont: historyPollQuestionFont;
	linkFontOver: historyPollQuestionFont;
}
historyPollAnswerStyle: defaultTextStyle;
historyPollQuestionTop: 7px;
historyPollSubtitleSkip: 4px;
historyPollAnswerPadding: margins(32px, 10px, 0px, 10px);
historyPollAnswersSkip: 2px;
historyPollPercentFont: semiboldFont;
historyPollPercentSkip: 5px;
historyPollPercentTop: 0px;
historyPollTotalVotesSkip: 5px;
historyPollFillingMin: 4px;
historyPollFillingHeight: 4px;
historyPollFillingRadius: 1px;
historyPollFillingBottom: 2px;
historyPollFillingRight: 4px;
historyPollRadio: Radio(defaultRadio) {
	bg: transparent;
	untoggledFg: checkboxFg;
	toggledFg: windowBgActive;
	diameter: 18px;
	thickness: 2px;
	skip: 65px; // * 0.1
	duration: 120;
	rippleAreaPadding: 8px;
}
historyPollRadioOpacity: 0.7;
historyPollRadioOpacityOver: 1.;
historyPollDuration: 300;
historyPollRadialAnimation: InfiniteRadialAnimation(defaultInfiniteRadialAnimation) {
	thickness: 2px;
	size: size(18px, 18px);
}
historyPollRippleIn: RippleAnimation(defaultRippleAnimation) {
	color: msgWaveformInInactive;
}
historyPollRippleOut: RippleAnimation(defaultRippleAnimation) {
	color: msgWaveformOutInactive;
}
historyPollRippleOpacity: 0.3;
historyPollRecentVotersSkip: 4px;
historyPollRecentVoterSize: 18px;
historyPollRecentVoterSkip: 13px;
historyPollBottomButtonSkip: 15px;
historyPollBottomButtonTop: 4px;
historyPollChoiceRight: icon {{ "poll_choice_right", activeButtonFg }};
historyPollChoiceWrong: icon {{ "poll_choice_wrong", activeButtonFg }};
historyPollOutChosen: icon {{ "poll_select_check", historyFileOutIconFg }};
historyPollOutChosenSelected: icon {{ "poll_select_check", historyFileOutIconFgSelected }};
historyPollInChosen: icon {{ "poll_select_check", historyFileInIconFg }};
historyPollInChosenSelected: icon {{ "poll_select_check", historyFileInIconFgSelected }};

boxAttachEmoji: IconButton(historyAttachEmoji) {
	width: 30px;
	height: 30px;
	rippleAreaSize: 0px;
}
boxAttachEmojiTop: 20px;

historyGroupAboutMargin: 16px;
historyGroupAboutPadding: margins(24px, 16px, 24px, 16px);
historyGroupAboutBulletSkip: 16px;
historyGroupAboutHeaderSkip: 10px;
historyGroupAboutTextSkip: 10px;
historyGroupAboutSkip: 8px;

historyVideoDownloadSize: msgFileSize;
historyVideoMuteSize: 22px;
historyVideoCancel: icon {{ "playlist_cancel", historyFileThumbIconFg }};
historyVideoCancelSelected: icon {{ "playlist_cancel", historyFileThumbIconFgSelected }};
historyVideoDownload: icon {{ "playlist_download", historyFileThumbIconFg }};
historyVideoDownloadSelected: icon {{ "playlist_download", historyFileThumbIconFgSelected }};
historyVideoRadialLine: msgFileRadialLine;

historyAudioDownloadSize: 20px;
historyAudioRadialLine: 2px;
historyAudioDownloadShift: 28px;
historyAudioInCancel: icon {{ "history_audio_cancel", historyFileInIconFg }};
historyAudioInCancelSelected: icon {{ "history_audio_cancel", historyFileInIconFgSelected }};
historyAudioOutCancel: icon {{ "history_audio_cancel", historyFileOutIconFg }};
historyAudioOutCancelSelected: icon {{ "history_audio_cancel", historyFileOutIconFgSelected }};
historyAudioInDownload: icon {{ "history_audio_download", historyFileInIconFg }};
historyAudioInDownloadSelected: icon {{ "history_audio_download", historyFileInIconFgSelected }};
historyAudioOutDownload: icon {{ "history_audio_download", historyFileOutIconFg }};
historyAudioOutDownloadSelected: icon {{ "history_audio_download", historyFileOutIconFgSelected }};

historyQuizExplainIn: icon {{ "quiz_explain", msgFileThumbLinkInFg }};
historyQuizExplainInSelected: icon {{ "quiz_explain", msgFileThumbLinkInFgSelected }};
historyQuizExplainOut: icon {{ "quiz_explain", msgFileThumbLinkOutFg }};
historyQuizExplainOutSelected: icon {{ "quiz_explain", msgFileThumbLinkOutFgSelected }};
historyQuizTimerIn: icon {{ "quiz_timer", msgFileThumbLinkInFg }};
historyQuizTimerInSelected: icon {{ "quiz_timer", msgFileThumbLinkInFgSelected }};
historyQuizTimerOut: icon {{ "quiz_timer", msgFileThumbLinkOutFg }};
historyQuizTimerOutSelected: icon {{ "quiz_timer", msgFileThumbLinkOutFgSelected }};

historySlowmodeCounterMargins: margins(0px, 0px, 10px, 0px);

largeEmojiSize: 36px;
largeEmojiOutline: 1px;
largeEmojiPadding: margins(0px, 0px, 0px, 0px);
largeEmojiSkip: 4px;

scheduleHeight: 95px;
scheduleDateTop: 38px;
scheduleDateField: InputField(defaultInputField) {
	textMargins: margins(2px, 0px, 2px, 0px);
	placeholderScale: 0.;
	heightMin: 30px;
	textAlign: align(top);
	font: font(14px);
}
scheduleTimeField: InputField(scheduleDateField) {
	border: 0px;
	borderActive: 0px;
	heightMin: 28px;
	placeholderFont: font(14px);
	placeholderFgActive: placeholderFgActive;
}
scheduleDateWidth: 136px;
scheduleTimeWidth: 72px;
scheduleAtSkip: 24px;
scheduleAtTop: 42px;
scheduleAtLabel: FlatLabel(defaultFlatLabel) {
}
scheduleTimeSeparator: FlatLabel(defaultFlatLabel) {
	style: TextStyle(defaultTextStyle) {
		font: font(14px);
	}
}
scheduleTimeSeparatorPadding: margins(2px, 0px, 2px, 0px);

youtubeIcon: icon {
	{ "media_youtube_play_bg", youtubePlayIconBg },
	{ "media_youtube_play", youtubePlayIconFg, point(24px, 12px) },
};
videoIcon: icon {
	{ "media_video_play_bg", videoPlayIconBg },
	{ "media_video_play", videoPlayIconFg, point(12px, 12px) },
};
